Skip to main content
PUT
/
transforms
/
{transforms_id}
/
implementation_details
Put Transforms Implementation Details
curl --request PUT \
  --url https://api.streamkap.com/transforms/{transforms_id}/implementation_details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transform_id": "<string>",
  "version_id": "",
  "description": "<string>",
  "config": {
    "transforms.name": "<string>",
    "transforms.input.topic.pattern": "<string>",
    "transforms.output.topic.pattern": "<string>",
    "transforms.language": "<string>",
    "transforms.input.job.parallelism": 5,
    "transforms.topic.ttl": "<string>",
    "kc.cluster.id": "<string>"
  },
  "created_timestamp": "2023-11-07T05:31:56Z",
  "implementation": {
    "value_transform": "<string>",
    "key_transform": "<string>",
    "topic_transform": "<string>",
    "common_transform": "<string>",
    "value_schema_transform": "<string>",
    "key_schema_transform": "<string>",
    "unit_test": {
      "test_name": "<string>",
      "input__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "output__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "result__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "is_success": true,
      "html_diff": "<string>",
      "text_diff": "<string>"
    }
  }
}
'
import requests

url = "https://api.streamkap.com/transforms/{transforms_id}/implementation_details"

payload = {
"transform_id": "<string>",
"version_id": "",
"description": "<string>",
"config": {
"transforms.name": "<string>",
"transforms.input.topic.pattern": "<string>",
"transforms.output.topic.pattern": "<string>",
"transforms.language": "<string>",
"transforms.input.job.parallelism": 5,
"transforms.topic.ttl": "<string>",
"kc.cluster.id": "<string>"
},
"created_timestamp": "2023-11-07T05:31:56Z",
"implementation": {
"value_transform": "<string>",
"key_transform": "<string>",
"topic_transform": "<string>",
"common_transform": "<string>",
"value_schema_transform": "<string>",
"key_schema_transform": "<string>",
"unit_test": {
"test_name": "<string>",
"input__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"output__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"result__json": [
{
"topic": "<string>",
"value": {},
"key": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"is_success": True,
"html_diff": "<string>",
"text_diff": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transform_id: '<string>',
version_id: '',
description: '<string>',
config: {
'transforms.name': '<string>',
'transforms.input.topic.pattern': '<string>',
'transforms.output.topic.pattern': '<string>',
'transforms.language': '<string>',
'transforms.input.job.parallelism': 5,
'transforms.topic.ttl': '<string>',
'kc.cluster.id': '<string>'
},
created_timestamp: '2023-11-07T05:31:56Z',
implementation: {
value_transform: '<string>',
key_transform: '<string>',
topic_transform: '<string>',
common_transform: '<string>',
value_schema_transform: '<string>',
key_schema_transform: '<string>',
unit_test: {
test_name: '<string>',
input__json: [{topic: '<string>', value: {}, key: {}, timestamp: '2023-11-07T05:31:56Z'}],
output__json: [{topic: '<string>', value: {}, key: {}, timestamp: '2023-11-07T05:31:56Z'}],
result__json: [{topic: '<string>', value: {}, key: {}, timestamp: '2023-11-07T05:31:56Z'}],
is_success: true,
html_diff: '<string>',
text_diff: '<string>'
}
}
})
};

fetch('https://api.streamkap.com/transforms/{transforms_id}/implementation_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transform_id": "<string>",
  "version_id": "",
  "description": "<string>",
  "config": {
    "transforms.name": "<string>",
    "transforms.input.topic.pattern": "<string>",
    "transforms.output.topic.pattern": "<string>",
    "transforms.language": "<string>",
    "transforms.input.job.parallelism": 5,
    "transforms.topic.ttl": "<string>",
    "kc.cluster.id": "<string>"
  },
  "created_timestamp": "2023-11-07T05:31:56Z",
  "implementation": {
    "value_transform": "<string>",
    "key_transform": "<string>",
    "topic_transform": "<string>",
    "common_transform": "<string>",
    "value_schema_transform": "<string>",
    "key_schema_transform": "<string>",
    "unit_test": {
      "test_name": "<string>",
      "input__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "output__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "result__json": [
        {
          "topic": "<string>",
          "value": {},
          "key": {},
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "is_success": true,
      "html_diff": "<string>",
      "text_diff": "<string>"
    }
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transforms_id
string
required

Body

application/json
transform_id
string
required
version_id
string
default:""
description
string | null
config
TransformConfig · object
created_timestamp
string<date-time> | null
implementation
TransformsMapFilterImplementation · object

Response

Successful Response

transform_id
string
required
version_id
string
default:""
description
string | null
config
TransformConfig · object
created_timestamp
string<date-time> | null
implementation
TransformsMapFilterImplementation · object